#ifndef QUERYCFG_H_
#define QUERYCFG_H_

#include "gType.h" 
#include "GraphLow.h"
#include "GraphBase.h"
#include "stdio.h"
#include "stdlib.h"
#include "string.h"
#include "my_string.h"
#include "Device.h"
#include "EpDevice.h"
#include "StaticText.h"
#include "TEdit.h"

class TQueryCfg{
	public:
		char ReStoreP0;
	
		TRect Bound;
		TRect BoundCaption;
		TRect Content;
	
		TRect BoxBoundCfg;
	
		unsigned char WhatSel;
		unsigned char EditIndex;
		unsigned int vtValue[6];
		unsigned int IsEditing;
		
		unsigned char Text[16];
		class TEdit vEditDescp;
	
		unsigned int qType;
	public:
		TQueryCfg(){};
		void Init(int x1, int y1, int aW, int aH, int OwnerX, int OwnerY, u32 aColor);
		void DrawSelf();
			
		void DrawThisCfgOutLine();
		void DrawThisEntry();
			
		void DrawNetworkOutLine();
		void DrawNetworkEntry();
		void ReDrawText4MasterAddr();
		void DrawMasterSlave();
		void Show();
		void FullRedraw(int Prm);
			
		void ShowThisCfg();
		void ShowNetwork();
			
		void LoadThisCfg();
		void LoadNetworkCfg(void);
			
		TGuiMsgReturn KeyIn(unsigned char aKey);
			
		int ExtRequst(unsigned char Prm){return 0;}
};



#endif
